For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
inferenceClient.models.list(query?: Record<string, any>): Promise<any>
Description
Lists the currently available models, and provides basic information about each one such as the owner and availability.
Request Sample
Show Request Sample
import { InferenceClient } from "@digitalocean/dots";
const inferenceClient = new InferenceClient({
apiKey: process.env.MODEL_ACCESS_KEY!,
});
const response = await inferenceClient.models.list();
Response Example
Show Response Example
{
"object": "list",
"data": [
{
"id": "meta-llama/Meta-Llama-3.1-8B-Instruct",
"created": 1686935002,
"object": "model",
"owned_by": "digitalocean"
}
]
}
See /v1/models in the API reference for additional detail on responses, headers, parameters, and more.